### Function Macro

# GLib alloca0

since: 2.72

#### Declaration [src]

    #define g_alloca0 (
      size
    )

#### Description [src]

Wraps `g_alloca()` and initializes allocated memory to zeroes. If `size` is `0` it returns `NULL`.

Note that the `size` argument will be evaluated multiple times.

Available since: 2.72

This function is not directly available to language bindings.

#### Parameters

`size`

  Type: `-`

  Number of bytes to allocate.